[android-components](../../index.md) / [mozilla.components.service.fxa](../index.md) / [SharedPrefAccountStorage](index.md) / [read](./read.md)

# read

`fun read(): `[`OAuthAccount`](../../mozilla.components.concept.sync/-o-auth-account/index.md)`?` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/firefox-accounts/src/main/java/mozilla/components/service/fxa/AccountStorage.kt#L25)

Overrides [AccountStorage.read](../-account-storage/read.md)

### Exceptions

`FxaException` - if JSON failed to parse into a [FirefoxAccount](../-firefox-account/index.md).